#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.component.extfile.interfaces import IExtFileLinksContainerTarget
from pyams_content.component.gallery.interfaces import IGalleryLinksContainerTarget
from pyams_content.component.links.interfaces import ILinkLinksContainerTarget
from pyams_content.component.paragraph.interfaces import IHTMLParagraph

# import packages
from pyams_content.component.paragraph import BaseParagraph
from zope.interface import implementer
from zope.schema.fieldproperty import FieldProperty


#
# HTML paragraph
#

@implementer(IHTMLParagraph, IExtFileLinksContainerTarget, ILinkLinksContainerTarget, IGalleryLinksContainerTarget)
class HTMLParagraph(BaseParagraph):
    """HTML paragraph"""

    body = FieldProperty(IHTMLParagraph['body'])
